## org.eclipse.uml2.uml
Enum MessageKind

    java.lang.Object
      java.lang.Enum<MessageKind>
          org.eclipse.uml2.uml.MessageKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MessageKind>, org.eclipse.emf.common.util.Enumerator

    public enum MessageKind

extends java.lang.Enum<MessageKind>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Message Kind', and utility methods for working with them. This is an enumerated type that identifies the type of message.

See Also:
  `UMLPackage.getMessageKind()`

Enum Constant Summary
`COMPLETE_LITERAL` The 'Complete' literal object
`FOUND_LITERAL` The 'Found' literal object
`LOST_LITERAL` The 'Lost' literal object
`UNKNOWN_LITERAL` The 'Unknown' literal object

Field Summary
`static int` `COMPLETE` The 'Complete' literal value
`static int` `FOUND` The 'Found' literal value
`static int` `LOST` The 'Lost' literal value
`static int` `UNKNOWN` The 'Unknown' literal value
`static java.util.List<MessageKind>` `VALUES` A public read-only list of all the 'Message Kind' enumerators

Method Summary
`static MessageKind` `get(int value)` Returns the 'Message Kind' literal with the specified integer value
`static MessageKind` `get(java.lang.String literal)` Returns the 'Message Kind' literal with the specified literal value
`static MessageKind` `getByName(java.lang.String name)` Returns the 'Message Kind' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static MessageKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MessageKind[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COMPLETE_LITERAL

    public static final MessageKind COMPLETE_LITERAL

  The 'Complete' literal object.

  See Also:
    `COMPLETE`

### LOST_LITERAL

    public static final MessageKind LOST_LITERAL

  The 'Lost' literal object.

  See Also:
    `LOST`

### FOUND_LITERAL

    public static final MessageKind FOUND_LITERAL

  The 'Found' literal object.

  See Also:
    `FOUND`

### UNKNOWN_LITERAL

    public static final MessageKind UNKNOWN_LITERAL

  The 'Unknown' literal object.

  See Also:
    `UNKNOWN`

Field Detail

### COMPLETE

    public static final int COMPLETE

  The 'Complete' literal value. sendEvent and receiveEvent are present

  See Also:
    `COMPLETE_LITERAL`, Constant Field Values

### LOST

    public static final int LOST

  The 'Lost' literal value. sendEvent present and receiveEvent absent

  See Also:
    `LOST_LITERAL`, Constant Field Values

### FOUND

    public static final int FOUND

  The 'Found' literal value. sendEvent absent and receiveEvent present

  See Also:
    `FOUND_LITERAL`, Constant Field Values

### UNKNOWN

    public static final int UNKNOWN

  The 'Unknown' literal value. sendEvent and receiveEvent absent (should not appear)

  See Also:
    `UNKNOWN_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<MessageKind> VALUES

  A public read-only list of all the 'Message Kind' enumerators.

Method Detail

### values

    public static final MessageKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MessageKind c : MessageKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MessageKind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static MessageKind get(java.lang.String literal)

  Returns the 'Message Kind' literal with the specified literal value.

### getByName

    public static MessageKind getByName(java.lang.String name)

  Returns the 'Message Kind' literal with the specified name.

### get

    public static MessageKind get(int value)

  Returns the 'Message Kind' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<MessageKind>`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.